## org.eclipse.m2m.qvt.oml.util
Class ISessionData.SimpleEntry<T>

    java.lang.Object
      org.eclipse.m2m.qvt.oml.util.ISessionData.SimpleEntry<T>

All Implemented Interfaces:
  ISessionData.Entry<T>

Enclosing interface:
  ISessionData

    public static class ISessionData.SimpleEntry<T>

extends java.lang.Object
implements ISessionData.Entry<T>

Constructor Summary
`ISessionData.SimpleEntry()`
`ISessionData.SimpleEntry(T defaultVal)`

Method Summary
`T` `defaultValue()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ISessionData.SimpleEntry

    public ISessionData.SimpleEntry()

### ISessionData.SimpleEntry

    public ISessionData.SimpleEntry(T defaultVal)

Method Detail

### defaultValue

    public T defaultValue()

  Specified by:
    `defaultValue` in interface `ISessionData.Entry<T>`

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.